import {
  __esm
} from "./chunk-OBKEW4AQ.mjs";

// src/resources/available/index.ts
function createAvailableResource(client) {
  return {
    getBankDetails(rail) {
      return client.get(`/available/bank-details?rail=${rail}`);
    },
    getRails() {
      return client.get("/available/rails");
    },
    getNaicsCodes() {
      return client.get("/available/naics");
    },
    getSwiftCodeBankDetails(swift) {
      return client.get(`/available/swift/${swift}`);
    }
  };
}
var init_available = __esm({
  "src/resources/available/index.ts"() {
  }
});

export {
  createAvailableResource,
  init_available
};
